Skip to main content
GET
/
api
/
{chainId}
/
validators
Get Chain Validators
curl --request GET \
  --url https://api.adamik.io/api/{chainId}/validators \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.adamik.io/api/{chainId}/validators"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.adamik.io/api/{chainId}/validators', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "validators": [
    {
      "address": "<string>",
      "name": "<string>",
      "commission": 123,
      "stakedAmount": "<string>"
    }
  ],
  "pagination": {
    "nextPage": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

chainId
enum<string>
required
Available options:
cosmoshub,
cosmoshub-testnet,
osmosis,
osmosis-testnet,
celestia,
celestia-testnet,
dydx,
axelar,
ethereum,
hoodi,
bitcoin,
bitcoin-signet,
injective,
akash,
band,
dymension,
kyve,
terra2,
stargaze,
evmos,
irisnet,
juno,
lum-network,
omniflix,
sei,
medibloc,
passage,
quasar,
seda,
sommelier,
shentu,
stride,
chihuahua,
bitsong,
persistence,
comdex,
fetch-ai,
humans-ai,
ki,
likecoin,
provenance,
quicksilver,
saga,
kava,
starknet,
starknet-sepolia,
babylon,
babylon-testnet,
solana,
aptos,
aptos-testnet

Query Parameters

nextPage
string

Token from the previous response of this endpoint. Provide it here to fetch the next page of results.

Response

200 - application/json

Returns a list of validators, their status, and commission details for the specified chain ID.

chainId
enum<string>
required
Available options:
cosmoshub,
cosmoshub-testnet,
osmosis,
osmosis-testnet,
celestia,
celestia-testnet,
dydx,
axelar,
ethereum,
hoodi,
bitcoin,
bitcoin-signet,
injective,
akash,
band,
dymension,
kyve,
terra2,
stargaze,
evmos,
irisnet,
juno,
lum-network,
omniflix,
sei,
medibloc,
passage,
quasar,
seda,
sommelier,
shentu,
stride,
chihuahua,
bitsong,
persistence,
comdex,
fetch-ai,
humans-ai,
ki,
likecoin,
provenance,
quicksilver,
saga,
kava,
starknet,
starknet-sepolia,
babylon,
babylon-testnet,
solana,
aptos,
aptos-testnet
validators
object[]
required
pagination
object
required